Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli
Class GrailsScriptRunner

    java.lang.Object
      org.codehaus.groovy.grails.cli.GrailsScriptRunner

    public class GrailsScriptRunner

extends Object

Handles Grails command line interface for running scripts.

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`GrailsScriptRunner()`
`GrailsScriptRunner(grails.util.BuildSettings settings)`
`GrailsScriptRunner(String grailsHome)`

Method Summary
`int` | `executeCommand(String scriptName, String args)`
`int` | `executeCommand(String scriptName, String args, String env)`
`PrintStream` | `getOut()`
`static void` | `main(String[] args)` Evaluate the arguments to get the name of the script to execute, which environment to run it in, and the arguments to pass to the script.
`void` | `setOut(PrintStream outputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsScriptRunner

    public GrailsScriptRunner()

### GrailsScriptRunner

    public GrailsScriptRunner(String grailsHome)

### GrailsScriptRunner

    public GrailsScriptRunner(grails.util.BuildSettings settings)

Method Detail

### main

    public static void main(String[] args)

  Evaluate the arguments to get the name of the script to execute, which environment to run it in, and the arguments to pass to the script. This also evaluates arguments of the form "-Dprop=value" and creates system properties from each one.

  Parameters:
    `args` -

### getOut

    public PrintStream getOut()

### setOut

    public void setOut(PrintStream outputStream)

### executeCommand

    public int executeCommand(String scriptName,
                              String args)

### executeCommand

    public int executeCommand(String scriptName,
                              String args,
                              String env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD